Skip to main content
GET
/
api
/
v1
/
jobs
/
{job_id}
/
details
curl --request GET \
  --url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/details" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
  "id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
  "processing_status": "SUCCESS",
  "node_stats": [
    {
      "node_name": "partition",
      "node_type": "partition",
      "node_subtype": "auto",
      "ready": 0,
      "in_progress": 0,
      "success": 42,
      "failure": 0
    }
  ],
  "message": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt

Use this file to discover all available pages before exploring further.

Path parameters

job_id
string
required
The unique identifier of the job.

Response

id
string
required
Unique identifier for the job.
processing_status
string
required
Processing status. One of: SCHEDULED, IN_PROGRESS, SUCCESS, COMPLETED_WITH_ERRORS, STOPPED, FAILED.
node_stats
array
required
Per-node processing statistics. Each object includes node_name, node_type, node_subtype, ready, in_progress, success, and failure counts.
message
string
Additional status message, if available.
curl --request GET \
  --url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/details" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
  "id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
  "processing_status": "SUCCESS",
  "node_stats": [
    {
      "node_name": "partition",
      "node_type": "partition",
      "node_subtype": "auto",
      "ready": 0,
      "in_progress": 0,
      "success": 42,
      "failure": 0
    }
  ],
  "message": null
}